blob: efedd1a143ed8a12cc6f6e773a7937d319d6bcc1 [file] [log] [blame]
Brian Gaeke4940c572004-02-08 07:44:48 +00001#!/bin/sh
2die () {
3 echo "$@" 1>&2
4 exit 1
5}
6test -d autoconf && test -f autoconf/configure.ac && cd autoconf
7[ -f configure.ac ] || die "Can't find 'autoconf' dir; please cd into it first"
8echo "Regenerating aclocal.m4 with aclocal"
9aclocal || die "aclocal failed"
10if ! autoconf --version | egrep '2\.5[0-9]' > /dev/null
11then
12 die "Your autoconf was not detected as being 2.5x"
13fi
14echo "Note: Warnings about 'AC_CONFIG_SUBDIRS: you should use literals' are ok"
15echo "Regenerating configure with autoconf 2.5x"
16autoconf -o ../configure configure.ac || die "autoconf failed"
17cd ..
18echo "Regenerating config.h.in with autoheader 2.5x"
19autoheader -I autoconf autoconf/configure.ac || die "autoheader failed"
20exit 0